%global gemname hammer_cli_katello
%global confdir hammer

%if 0%{?rhel} < 7
%global gem_dir /usr/lib/ruby/gems/1.8
%endif

%global geminstdir %{gem_dir}/gems/%{gemname}-%{version}

Summary: Katello command plugin for the Hammer CLI
Name: rubygem-%{gemname}
Version: 0.0.4
Release: 14%{?dist}
Group: Development/Languages
License: GPLv3
URL: http://github.com/theforeman/hammer-cli-katello
Source0: %{gemname}-%{version}.gem
Source1: katello.yml

%if !( 0%{?rhel} > 6 || 0%{?fedora} > 18 )
Requires: ruby(abi)
%else
Requires: ruby(release)
%endif
Requires: ruby(rubygems)
Requires: rubygem(hammer_cli) >= 0.1.1
Requires: rubygem(hammer_cli_foreman_tasks) >= 0.0.3
BuildRequires: ruby(rubygems)
%if 0%{?fedora} || 0%{?rhel} > 6
BuildRequires: rubygems-devel
%endif
BuildRequires: ruby
BuildArch: noarch
Provides: rubygem(%{gemname}) = %{version}

%description
Katello command plugin for the Hammer CLI.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
%setup -q -c -T
mkdir -p .%{gem_dir}
gem install --local --install-dir .%{gem_dir} \
            --force %{SOURCE0}

%install
mkdir -p %{buildroot}%{_sysconfdir}/%{confdir}/cli.modules.d
install -m 755 %{SOURCE1} %{buildroot}%{_sysconfdir}/%{confdir}/cli.modules.d/katello.yml
mkdir -p %{buildroot}%{gem_dir}
cp -pa .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%files
%dir %{geminstdir}
%{geminstdir}/lib
%{geminstdir}/locale
%config(noreplace) %{_sysconfdir}/%{confdir}/cli.modules.d/katello.yml
%exclude %{gem_dir}/cache/%{gemname}-%{version}.gem
%{gem_dir}/specifications/%{gemname}-%{version}.gemspec

%files doc
%doc %{gem_dir}/doc/%{gemname}-%{version}

%changelog
* Wed Aug 20 2014 Jason Montleon <jmontleo@redhat.com> 0.0.4-14
- Merge branch 'SATELLITE-6.0.4' of gitlab.sat.lab.tlv.redhat.com:satellite6
  /hammer-cli-katello into SATELLITE-6.0.4 (jmontleo@redhat.com)
- Refs #6297 - use foreman_tasks instead of katello_jobs in ping
  (inecas@redhat.com)
- fixes #7093 - properly remove sync-plan from a product, BZ 1121136
  (komidore64@gmail.com)
- Fixes #6867 - Show system katello-agent installed (daviddavis@redhat.com)
- refs #5655 - accounting for correct JSON response metadata
  (komidore64@gmail.com)

* Wed Aug 13 2014 Jason Montleon <jmontleo@redhat.com> 0.0.4-13
- Fixes #6971 - method_option not needed (dtsang@redhat.com)

* Wed Aug 13 2014 Jason Montleon <jmontleo@redhat.com> 0.0.4-12
- Fixes #6957,BZ1121950 - Using small file upload chunks
  (daviddavis@redhat.com)
- refs #6720 - fixing some typos (komidore64@gmail.com)
- fixes #6720 - adding commands for content-management, BZ 1105276
  (komidore64@gmail.com)

* Wed Aug 06 2014 Jason Montleon <jmontleo@redhat.com> 0.0.4-11
- Fixes #6451,BZ1114757 - Cleaning up org search options methods
  (daviddavis@redhat.com)
- Fixes #5429,BZ1102296 - Showing hosts and keys for views
  (daviddavis@redhat.com)
- Fixes #6894,bz1123473 - rm system in HC helpfultxt (dtsang@redhat.com)

* Tue Jul 29 2014 Jason Montleon <jmontleo@redhat.com> 0.0.4-10
- Merge remote-tracking branch 'upstream/master' into SATELLITE-6.0.4
  (jmontleo@redhat.com)
- Merge pull request #201 from dustint-rh/other_opts_rejected_when_id_present
  (dtsang@redhat.com)
- Fixes #6466 - AK info for nonexistent org id (dtsang@redhat.com)
- Merge pull request #200 from dustint-rh/CH_create_validate_cv_when_env_given
  (dtsang@redhat.com)
- Fixes #6453 - CH requires CV if env exst BZ1092712 (dtsang@redhat.com)

* Tue Jul 22 2014 Jason Montleon <jmontleo@redhat.com> 0.0.4-9
- Merge remote-tracking branch 'upstream/master' into SATELLITE-6.0.4
  (jmontleo@redhat.com)
- Refs #6180,BZ1100311 - Re-enable organization delete command
  (daviddavis@redhat.com)

* Wed Jul 09 2014 Jason Montleon <jmontleo@redhat.com> 0.0.4-8
- add additional source rpm spec and rel-eng files (jmontleo@redhat.com)
- Merge pull request #199 from waldenraines/6300 (walden@redhat.com)
- Merge pull request #203 from tstrachota/syntax_fix (tstrachota@redhat.com)
- Fixes #6481 - ruby 1.8 syntax error in id resolver (tstrachota@redhat.com)
- Refs #6300 - use activationKey.unlimited rather than -1. (walden@redhat.com)
- Merge pull request #198 from komidore64/rmi6425-more-info-on-repo-list
  (komidore64@gmail.com)
- fixes #6425 - including the url on repo list, BZ 1082761
  (komidore64@gmail.com)
- Merge pull request #195 from dustint-rh/cv_environment_options
  (dtsang@redhat.com)
- Refs #5958 - Remove commands content-view puppet-module update and info
  (tstrachota@redhat.com)
- Refs #5958 - Fixed content-view puppet-module remove (tstrachota@redhat.com)
- Refs #5958 - Better formatting for puppet modules (tstrachota@redhat.com)
- Refs #5958 - Exception handling for required parameters
  (tstrachota@redhat.com)
- Merge pull request #197 from komidore64/bz1108905-hammer-repo-require-product
  (komidore64@gmail.com)
- fixes #6203 - hammer repo cmds require name scoped to product, BZ 1108905
  (komidore64@gmail.com)
- Fixes #6345 - add description to list product cmd (dtsang@redhat.com)
- Fixes #6327 - cv resolv env name opt BZ1111231 (dtsang@redhat.com)
- Merge pull request #193 from dustint-rh/rename_command_remove_host_collection
  (dtsang@redhat.com)
- Fixes #6263 - rename assoc HC remove cmd BZ110467 (dtsang@redhat.com)
- Fixes #6261 - add delete subcommand to AK (dtsang@redhat.com)
- Fixes #6154, #6253 - ak/ch name resolver for lfenv (dtsang@redhat.com)
- Merge pull request #190 from tstrachota/aliases (tstrachota@redhat.com)
- Fixes #6093 - better option descriptions (tstrachota@redhat.com)
- Merge pull request #188 from daviddavis/temp/20140609133318
  (daviddavis@redhat.com)
- Fixes #6092 - mapping systems to content hosts (tstrachota@redhat.com)
- Merge pull request #177 from daviddavis/temp/20140528121820
  (daviddavis@redhat.com)
- Fixes #6199, bz1108858 - Display product name (paji@redhat.com)
- Fixes #6123,BZ1106563 - Disable organization deletion (daviddavis@redhat.com)
- Merge pull request #186 from dustint-rh/lfenv_prior_resolver_guard
  (dtsang@redhat.com)
- Fixes #6105 - subs refresh_hist & delete-manifest (dtsang@redhat.com)
- Fixes #6101 - lfenv conditional resolv prior (dtsang@redhat.com)
- Merge pull request #185 from dustint-rh/override_subs_sys_id_desc
  (dtsang@redhat.com)
- Merge pull request #183 from dustint-rh/override_ch_id_desc
  (dtsang@redhat.com)
- Merge pull request #181 from dustint-rh/override_hc_system_ids_desc
  (dtsang@redhat.com)
- Merge pull request #180 from dustint-rh/hc_rm_associating_commands
  (dtsang@redhat.com)
- Fixes #6056 - HC override desc create/update sysid (dtsang@redhat.com)
- Fixes #6096 - override sub --system-id description (dtsang@redhat.com)
- Fixes #6071 - override CH --id desc (dtsang@redhat.com)
- Fixes #6055 - HC add/remove-content-host take uuid (dtsang@redhat.com)
- Fixes #6079, bz 1103958 - Display org name of a capsule env (paji@redhat.com)
- Fixes #5813 - CLI content uploads BZ1102260 (daviddavis@redhat.com)
- Fixes #5794 : Improve how Async commands are done in katello-cli.
  (bkearney@redhat.com)
- Fixes #5802 HC update/create using system uuids (dtsang@redhat.com)

* Wed Jun 18 2014 Jason Montleon <jmontleo@redhat.com> 0.0.4-7
- Fixes #6154, #6253 - ak/ch name resolver for lfenv (dtsang@redhat.com)
- Fixes #5813 - CLI content uploads BZ1102260 (daviddavis@redhat.com)
- Fixes #6123,BZ1106563 - Disable organization deletion (daviddavis@redhat.com)

* Wed Jun 11 2014 Jason Montleon <jmontleo@redhat.com> 0.0.4-6
- Fixes #6096 - override sub --system-id description (dtsang@redhat.com)
- Fixes #6071 - override CH --id desc (dtsang@redhat.com)
- Fixes #6056 - HC override desc create/update sysid (dtsang@redhat.com)
- Fixes #6055 - HC add/remove-content-host take uuid (dtsang@redhat.com)
- Fixes #5794 : Improve how Async commands are done in katello-cli.
  (bkearney@redhat.com)
- Fixes #6101 - lfenv conditional resolv prior (dtsang@redhat.com)
- Fixes #6079, bz 1103958 - Display org name of a capsule env (paji@redhat.com)

* Tue Jun 03 2014 Jason Montleon <jmontleo@redhat.com> 0.0.4-5
- Fixes #5802 HC update/create using system uuids (dtsang@redhat.com)

* Wed May 28 2014 Jason Montleon <jmontleo@redhat.com> 0.0.4-4
- correct hammer_cli_foreman_tasks dependency version (jmontleo@redhat.com)

* Wed May 28 2014 Jason Montleon <jmontleo@redhat.com> 0.0.4-3
- update dependencies in rpm spec for 0.1.1 (jmontleo@redhat.com)

* Wed May 28 2014 Jason Montleon <jmontleo@redhat.com> 0.0.4-2
- Merge remote-tracking branch 'upstream/master' into SATELLITE-6.0.3
  (jmontleo@redhat.com)
- Merge pull request #175 from komidore64/version-bump (komidore64@gmail.com)
- Merge pull request #176 from dustint-rh/product_info_content
  (dtsang@redhat.com)
- Fixes #5893 - Fixes product info's content (dtsang@redhat.com)
- bump to version 0.0.4 (komidore64@gmail.com)

* Wed May 28 2014 Jason Montleon <jmontleo@redhat.com> 0.0.4-1
- update version to 0.0.4 (jmontleo@redhat.com)

* Thu May 22 2014 Jason Montleon <jmontleo@redhat.com> 0.0.3-26
- Merge remote-tracking branch 'upstream/master' into SATELLITE-6.0.3
  (jmontleo@redhat.com)
- Merge pull request #173 from iNecas/capsule (jlsherrill@gmail.com)
- Refs #5821 - address PR issues (inecas@redhat.com)
- Refs #5821 - initial CLI support for the capsule commands (inecas@redhat.com)

* Thu May 22 2014 Jason Montleon <jmontleo@redhat.com> 0.0.3-25
- Merge remote-tracking branch 'upstream/master' into SATELLITE-6.0.3
  (jmontleo@redhat.com)
- Merge pull request #172 from bbuckingham/issue-5771 (bbuckingham@redhat.com)
- Merge pull request #168 from dustint-
  rh/985393_searchables_resolve_by_uuid_only_uuid (dtsang@redhat.com)
- update releasers (jmontleo@redhat.com)
- Fixes #5111 - product info did list options (dtsang@redhat.com)
- Merge pull request #164 from bkearney/bkearney/string_extract
  (komidore64@gmail.com)
- fixes #5771 - lifecycle-environment - fix the behavir of prior environment
  (bbuckingham@redhat.com)
- Fixes #5729 - content-host lookup by uuid (dtsang@redhat.com)
- Fixes #5658 - Latest String Extract (bkearney@redhat.com)

* Sat May 17 2014 Jason Montleon <jmontleo@redhat.com> 0.0.3-24
- Merge remote-tracking branch 'upstream/master' into SATELLITE-6.0.3
  (jmontleo@redhat.com)
- fixes #5598 - hammer cannot list repositories, BZ1094493
  (komidore64@gmail.com)
- Merge pull request #159 from bkearney/bkearney/5597 (bryan.kearney@gmail.com)
- Fixes #5613 - Content Hosts outputs uuid bz1084722 (dtsang@redhat.com)
- Merge pull request #163 from bbuckingham/issue-5601 (bbuckingham@redhat.com)
- Merge pull request #162 from bbuckingham/issue-5602 (bbuckingham@redhat.com)
- fixes #5601, #5603 - host-collections: add support for update and add/remove-
  content-host (bbuckingham@redhat.com)
- Merge pull request #155 from komidore64/rmi5028 (komidore64@gmail.com)
- Merge pull request #161 from bbuckingham/issue-5600 (bbuckingham@redhat.com)
- Merge pull request #160 from dustint-rh/update_readme_with_tasks
  (dtsang@redhat.com)
- fixes #5602 - host-collections: add command to list content-hosts
  (bbuckingham@redhat.com)
- fixes #5600 - fix host-collection copy command (bbuckingham@redhat.com)
- update README to also pull down hammer-cli-foreman-tasks (dtsang@redhat.com)
- Fixes #5597 - Exposes new data in the repository-set info command
  (bkearney@redhat.com)
- refs #5028 - organizations aren't a special case anymore
  (komidore64@gmail.com)

* Wed May 14 2014 Jason Montleon <jmontleo@redhat.com> 0.0.3-23
- fixes #5600 - fix host-collection copy command (bbuckingham@redhat.com)
- refs #5028 - organizations aren't a special case anymore
  (komidore64@gmail.com)

* Thu May 08 2014 Jason Montleon <jmontleo@redhat.com> 0.0.3-22
- Merge remote-tracking branch 'upstream/master' into SATELLITE-6.0.3
  (jmontleo@redhat.com)
- Merge pull request #158 from bbuckingham/issue-5192 (bbuckingham@redhat.com)
- fixes #5192 - rename system-group to host-collection (bbuckingham@redhat.com)

* Wed May 07 2014 Jason Montleon <jmontleo@redhat.com> 0.0.3-21
- Merge remote-tracking branch 'upstream/master' into SATELLITE-6.0.3
  (jmontleo@redhat.com)
- Merge pull request #157 from iNecas/repository-set-available
  (inecas@redhat.com)
- Merge pull request #152 from dustint-
  rh/bz1077893_redmine_5008_add_manifest_history (dtsang@redhat.com)
- Fixes #5569 - support --name for repository-set available-repositories
  (inecas@redhat.com)
- Refs #5008 adds manifest history to subscriptions and organization
  (dtsang@redhat.com)

* Tue May 06 2014 Jason Montleon <jmontleo@redhat.com> 0.0.3-20
- Merge remote-tracking branch 'upstream/master' into SATELLITE-6.0.3
  (jmontleo@redhat.com)
- Merge pull request #156 from dustint-
  rh/bz985393_redmine5432_add_system_group_delete_command (dtsang@redhat.com)
- Fixed #5546 system_group info missing Total System (dtsang@redhat.com)
- Fixes #5432 adding system group delete command (dtsang@redhat.com)
- Merge pull request #153 from komidore64/rmi4919 (komidore64@gmail.com)
- Fixes #5199 - Add env and cv to output columns to Activation Key list command
  (dtsang@redhat.com)
- fixes #4919 - hammer systemgroup info has NO params, BZ1080475
  (komidore64@gmail.com)
- Refs #4311 - removing old scoped names functionality (tstrachota@redhat.com)
- refs #4311 - including `label` for organization lookup (komidore64@gmail.com)
- refs #4311 - making rubocop happy (komidore64@gmail.com)
- removed log_api_calls setting (tstrachota@redhat.com)
- fix in String#format (tstrachota@redhat.com)
- Refs #4311 - read and write commands merged (tstrachota@redhat.com)
- exception handler - process foreman style messages (tstrachota@redhat.com)
- Refs #4311 - searchables, id resolver and option builders
  (tstrachota@redhat.com)

* Mon May 05 2014 Jason Montleon <jmontleo@redhat.com> 0.0.3-19
- fix macros to work with RHEL 7 (jmontleo@redhat.com)

* Wed Apr 30 2014 Jason Montleon <jmontleo@redhat.com> 0.0.3-18
- Merge remote-tracking branch 'upstream/master' into SATELLITE-6.0.3
  (jmontleo@redhat.com)
- Merge pull request #150 from komidore64/rubocop (komidore64@gmail.com)
- fixes #5462 - adding some rubocop directives (komidore64@gmail.com)
- Merge pull request #105 from bkearney/bkearney/zanata
  (bryan.kearney@gmail.com)
- Merge pull request #143 from iNecas/reposet-enable (inecas@redhat.com)
- Merge pull request #147 from daviddavis/temp/20140423175044
  (daviddavis@redhat.com)
- Fixes #5433 - Display redhat repo url (paji@redhat.com)
- Fixes #5420 - Fixes bad grammar message (daviddavis@redhat.com)
- Fixes #5415 - Fixed problems with cv destroy commands (daviddavis@redhat.com)
- Refs #4826 - Update cli to support new reposet approach (inecas@redhat.com)
- Add zanata translation information (bkearney@redhat.com)

* Wed Apr 23 2014 Jason Montleon <jmontleo@redhat.com> 0.0.3-17
- Merge remote-tracking branch 'upstream/master' into SATELLITE-6.0.3
  (jmontleo@redhat.com)
- fixes #5182 - Rename Systems to Content Hosts (bbuckingham@redhat.com)

* Thu Apr 17 2014 Jason Montleon <jmontleo@redhat.com> 0.0.3-16
- Merge remote-tracking branch 'upstream/master' into SATELLITE-6.0.3
  (jmontleo@redhat.com)
- Merge pull request #141 from daviddavis/cvv_deletion (daviddavis@redhat.com)
- Refs #4811 - Allow users to delete content views from CLI
  (daviddavis@redhat.com)
- Merge pull request #134 from komidore64/bz1078866 (komidore64@gmail.com)
- Fixes #5135 BZ 1085541; removed duplicate output. (omaciel@ogmaciel.com)
- Refs #4957 - Allow users to delete content view versions
  (daviddavis@redhat.com)
- Merge pull request #132 from daviddavis/temp/20140402123025
  (daviddavis@redhat.com)
- Merge pull request #140 from daviddavis/cve-deletion (daviddavis@redhat.com)
- Merge pull request #136 from daviddavis/temp/20140405071614
  (daviddavis@redhat.com)
- Fixes #5048 - Fixing help text for composite option (daviddavis@redhat.com)
- Fixes #5092 - Updating README with new config structure
  (daviddavis@redhat.com)
- Refs #4818 - Allow users to remove a content view from environment
  (daviddavis@redhat.com)
- Fixes #5070 - Disabling name for associate commands (daviddavis@redhat.com)
- Fixes #5032 - hammer organization <info,list> --help types information
  doubled, 1078866 (komidore64@gmail.com)

* Thu Apr 03 2014 Jason Montleon <jmontleo@redhat.com> 0.0.3-15
- Merge remote-tracking branch 'upstream/master' into SATELLITE-6.0.3
  (jmontleo@redhat.com)
- Fixes #4984, #5001, #5010 - Repo enable/disable (paji@redhat.com)

* Wed Apr 02 2014 Jason Montleon <jmontleo@redhat.com> 0.0.3-14
- Merge remote-tracking branch 'upstream/master' into SATELLITE-6.0.3
  (jmontleo@redhat.com)
- Merge pull request #122 from bkearney/bkearney/more-product-changes
  (komidore64@gmail.com)
- Merge pull request #128 from parthaa/good-bye-provider (komidore64@gmail.com)
- Fixes #4295 - Removing provider subcommands (paji@redhat.com)
- Fixes #4908 - Address provider and reposet usage testing
  (bkearney@redhat.com)

* Tue Apr 01 2014 Jason Montleon <jmontleo@redhat.com> 0.0.3-13
- Merge remote-tracking branch 'upstream/master' (jmontleo@redhat.com)
- Merge pull request #129 from parthaa/repo-crud (daviddavis@redhat.com)
- Fixes #4798 - Subscriptions and system groups for activation keys
  (thomasmckay@redhat.com)
- Fixes #4936 - Added repo info, update, delete ops (paji@redhat.com)

* Mon Mar 31 2014 Jason Montleon <jmontleo@redhat.com> 0.0.3-12
- Merge remote-tracking branch 'upstream/master' (jmontleo@redhat.com)
- Fixes #4953 - Show sync plan description (daviddavis@redhat.com)
- Merge pull request #127 from bkearney/bkearney/sync-plan-changes
  (bryan.kearney@gmail.com)
- Changes to sync plan based on usage. (bkearney@redhat.com)

* Thu Mar 27 2014 Jason Montleon <jmontleo@redhat.com> 0.0.3-11
- update confdir (jmontleo@redhat.com)

* Thu Mar 27 2014 Jason Montleon <jmontleo@redhat.com> 0.0.3-10
- update yml config location (jmontleo@redhat.com)

* Wed Mar 26 2014 Jason Montleon <jmontleo@redhat.com> 0.0.3-9
- Merge remote-tracking branch 'upstream/master' (jmontleo@redhat.com)
- Merge pull request #123 from daviddavis/temp/20140325083248
  (daviddavis@redhat.com)
- Merge remote-tracking branch 'upstream/master' (jmontleo@redhat.com)
- fixes #4885 - updated hammer-cli-katello deps (komidore64@gmail.com)
- Fixes #4837 - Adding i18n to strings (daviddavis@redhat.com)

* Wed Mar 26 2014 Jason Montleon <jmontleo@redhat.com> 0.0.3-8
- update rpm spec file to match upstream and add katello.yml config
  (jmontleo@redhat.com)
- update hammer_cli_foreman dependency (jmontleo@redhat.com)

* Wed Mar 26 2014 Jason Montleon <jmontleo@redhat.com>
- update rpm spec file to match upstream and add katello.yml config
  (jmontleo@redhat.com)
- update hammer_cli_foreman dependency (jmontleo@redhat.com)

* Wed Mar 26 2014 Jason Montleon <jmontleo@redhat.com>
- update rpm spec file to match upstream and add katello.yml config
  (jmontleo@redhat.com)
- update hammer_cli_foreman dependency (jmontleo@redhat.com)

* Wed Mar 26 2014 Jason Montleon <jmontleo@redhat.com>
- update rpm spec file to match upstream and add katello.yml config
  (jmontleo@redhat.com)
- update hammer_cli_foreman dependency (jmontleo@redhat.com)

* Wed Mar 26 2014 Jason Montleon <jmontleo@redhat.com>
- update rpm spec file to match upstream and add katello.yml config
  (jmontleo@redhat.com)
- update hammer_cli_foreman dependency (jmontleo@redhat.com)

* Wed Mar 26 2014 Jason Montleon <jmontleo@redhat.com>
- update rpm spec file to match upstream and add katello.yml config
  (jmontleo@redhat.com)
- update hammer_cli_foreman dependency (jmontleo@redhat.com)

* Wed Mar 26 2014 Jason Montleon <jmontleo@redhat.com>
- update rpm spec file to match upstream and add katello.yml config
  (jmontleo@redhat.com)
- update hammer_cli_foreman dependency (jmontleo@redhat.com)

* Tue Feb 04 2014 Jason Montleon <jmontleo@redhat.com> 0.0.3-1
- update hammer_cli_katello to 0.0.3 (jmontleo@redhat.com)

* Thu Jan 30 2014 Jason Montleon <jmontleo@redhat.com> 0.0.2-4
- add missing katello_api dependency (jmontleo@redhat.com)

* Mon Jan 27 2014 Jason Montleon <jmontleo@redhat.com> 0.0.2-3
- fix packaging error (jmontleo@redhat.com)

* Mon Jan 27 2014 Jason Montleon <jmontleo@redhat.com> 0.0.2-2
- new package built with tito

